From a9fc422e97fd0899ee0d8ee5822ab7ddfd10b0ac Mon Sep 17 00:00:00 2001
From: Niklas Haas <git@haasn.dev>
Date: Wed, 19 Feb 2025 19:55:56 +0100
Subject: [PATCH 21/37] fftools/ffprobe: add AVFrame.alpha_mode support

---
 fftools/ffprobe.c                      |  11 +++
 tests/ref/fate/enhanced-flv-hevc-hdr10 |   1 +
 tests/ref/fate/exif-image-embedded     |   1 +
 tests/ref/fate/exif-image-jpg          |   1 +
 tests/ref/fate/exif-image-tiff         |   1 +
 tests/ref/fate/exif-image-webp         |   1 +
 tests/ref/fate/ffprobe_compact         |  16 +--
 tests/ref/fate/ffprobe_csv             |  16 +--
 tests/ref/fate/ffprobe_default         |   8 ++
 tests/ref/fate/ffprobe_flat            |   8 ++
 tests/ref/fate/ffprobe_ini             |   8 ++
 tests/ref/fate/h264-dts_5frames        |   5 +
 tests/ref/fate/jpg-icc                 |   1 +
 tests/ref/fate/mov-zombie              | 130 ++++++++++++-------------
 tests/ref/fate/png-icc                 |   1 +
 tests/ref/fate/png-icc-parse           |   1 +
 tests/ref/fate/png-side-data           |   1 +
 17 files changed, 130 insertions(+), 81 deletions(-)

diff --git a/fftools/ffprobe.c b/fftools/ffprobe.c
index b8d51071e6..e68b0f2f41 100644
--- a/fftools/ffprobe.c
+++ b/fftools/ffprobe.c
@@ -1154,6 +1154,16 @@ static void print_chroma_location(AVTextFormatContext *tfc, enum AVChromaLocatio
     }
 }
 
+static void print_alpha_mode(AVTextFormatContext *tfc, enum AVAlphaMode alpha_mode)
+{
+    const char *val = av_alpha_mode_name(alpha_mode);
+    if (!val || alpha_mode == AVALPHA_MODE_UNSPECIFIED) {
+        print_str_opt("alpha_mode", "unspecified");
+    } else {
+        print_str("alpha_mode", val);
+    }
+}
+
 static void clear_log(int need_lock)
 {
     int i;
@@ -1406,6 +1416,7 @@ static void show_frame(AVTextFormatContext *tfc, AVFrame *frame, AVStream *strea
         print_primaries(tfc, frame->color_primaries);
         print_color_trc(tfc, frame->color_trc);
         print_chroma_location(tfc, frame->chroma_location);
+        print_alpha_mode(tfc, frame->alpha_mode);
         break;
 
     case AVMEDIA_TYPE_AUDIO:
diff --git a/tests/ref/fate/enhanced-flv-hevc-hdr10 b/tests/ref/fate/enhanced-flv-hevc-hdr10
index 4d93f98e57..525f056d66 100644
--- a/tests/ref/fate/enhanced-flv-hevc-hdr10
+++ b/tests/ref/fate/enhanced-flv-hevc-hdr10
@@ -37,6 +37,7 @@ color_space=bt2020nc
 color_primaries=bt2020
 color_transfer=smpte2084
 chroma_location=left
+alpha_mode=unspecified
 [SIDE_DATA]
 side_data_type=Mastering display metadata
 red_x=13250/50000
diff --git a/tests/ref/fate/exif-image-embedded b/tests/ref/fate/exif-image-embedded
index 2b258b228d..3fc718a12b 100644
--- a/tests/ref/fate/exif-image-embedded
+++ b/tests/ref/fate/exif-image-embedded
@@ -30,6 +30,7 @@ color_space=bt470bg
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=center
+alpha_mode=unspecified
 TAG:UserComment=AppleMark
 
 [/FRAME]
diff --git a/tests/ref/fate/exif-image-jpg b/tests/ref/fate/exif-image-jpg
index 9915f80aed..a123f3dca4 100644
--- a/tests/ref/fate/exif-image-jpg
+++ b/tests/ref/fate/exif-image-jpg
@@ -30,6 +30,7 @@ color_space=bt470bg
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=center
+alpha_mode=unspecified
 TAG:ImageDescription=                               
 TAG:Make=Canon
 TAG:Model=Canon PowerShot SX200 IS
diff --git a/tests/ref/fate/exif-image-tiff b/tests/ref/fate/exif-image-tiff
index 0e604d4271..d8a95412f5 100644
--- a/tests/ref/fate/exif-image-tiff
+++ b/tests/ref/fate/exif-image-tiff
@@ -30,6 +30,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 TAG:document_name=image_small.tiff
 TAG:page_number=    0 /     1
 TAG:software=ImageMagick 6.5.8-0 2010-02-09 Q16 http://www.imagemagick.org
diff --git a/tests/ref/fate/exif-image-webp b/tests/ref/fate/exif-image-webp
index eaae281a86..e841b62673 100644
--- a/tests/ref/fate/exif-image-webp
+++ b/tests/ref/fate/exif-image-webp
@@ -30,6 +30,7 @@ color_space=bt470bg
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 TAG:ImageDescription=                               
 TAG:Make=Canon
 TAG:Model=Canon PowerShot SX200 IS
diff --git a/tests/ref/fate/ffprobe_csv b/tests/ref/fate/ffprobe_csv
index 37c67bb4e3..174af6d732 100644
--- a/tests/ref/fate/ffprobe_csv
+++ b/tests/ref/fate/ffprobe_csv
@@ -1,31 +1,31 @@
 packet,audio,0,0,0.000000,0,0.000000,1024,0.023220,2048,669,K__
 frame,audio,0,1,0,0.000000,0,0.000000,0,0.000000,1024,0.023220,669,2048,s16,1024,1,unknown
 packet,video,1,0,0.000000,0,0.000000,2048,0.040000,230400,2744,K__
-frame,video,1,1,0,0.000000,0,0.000000,0,0.000000,2048,0.040000,2744,230400,320,240,0,0,0,0,rgb24,1:1,I,0,0,0,0,unknown,unknown,unknown,unknown,unspecified
+frame,video,1,1,0,0.000000,0,0.000000,0,0.000000,2048,0.040000,2744,230400,320,240,0,0,0,0,rgb24,1:1,I,0,0,0,0,unknown,unknown,unknown,unknown,unspecified,unspecified
 packet,video,2,0,0.000000,0,0.000000,2048,0.040000,30000,233165,K__
-frame,video,2,1,0,0.000000,0,0.000000,0,0.000000,2048,0.040000,233165,30000,100,100,0,0,0,0,rgb24,1:1,I,0,0,0,0,unknown,unknown,unknown,unknown,unspecified
+frame,video,2,1,0,0.000000,0,0.000000,0,0.000000,2048,0.040000,233165,30000,100,100,0,0,0,0,rgb24,1:1,I,0,0,0,0,unknown,unknown,unknown,unknown,unspecified,unspecified
 packet,audio,0,1024,0.023220,1024,0.023220,1024,0.023220,2048,263170,K__
 frame,audio,0,1,1024,0.023220,1024,0.023220,1024,0.023220,1024,0.023220,263170,2048,s16,1024,1,unknown
 packet,video,1,2048,0.040000,2048,0.040000,2048,0.040000,230400,265248,K__
-frame,video,1,1,2048,0.040000,2048,0.040000,2048,0.040000,2048,0.040000,265248,230400,320,240,0,0,0,0,rgb24,1:1,I,0,0,0,0,unknown,unknown,unknown,unknown,unspecified
+frame,video,1,1,2048,0.040000,2048,0.040000,2048,0.040000,2048,0.040000,265248,230400,320,240,0,0,0,0,rgb24,1:1,I,0,0,0,0,unknown,unknown,unknown,unknown,unspecified,unspecified
 packet,video,2,2048,0.040000,2048,0.040000,2048,0.040000,30000,495672,K__
-frame,video,2,1,2048,0.040000,2048,0.040000,2048,0.040000,2048,0.040000,495672,30000,100,100,0,0,0,0,rgb24,1:1,I,0,0,0,0,unknown,unknown,unknown,unknown,unspecified
+frame,video,2,1,2048,0.040000,2048,0.040000,2048,0.040000,2048,0.040000,495672,30000,100,100,0,0,0,0,rgb24,1:1,I,0,0,0,0,unknown,unknown,unknown,unknown,unspecified,unspecified
 packet,audio,0,2048,0.046440,2048,0.046440,1024,0.023220,2048,525677,K__
 frame,audio,0,1,2048,0.046440,2048,0.046440,2048,0.046440,1024,0.023220,525677,2048,s16,1024,1,unknown
 packet,audio,0,3072,0.069660,3072,0.069660,1024,0.023220,2048,527748,K__
 frame,audio,0,1,3072,0.069660,3072,0.069660,3072,0.069660,1024,0.023220,527748,2048,s16,1024,1,unknown
 packet,video,1,4096,0.080000,4096,0.080000,2048,0.040000,230400,529826,K__
-frame,video,1,1,4096,0.080000,4096,0.080000,4096,0.080000,2048,0.040000,529826,230400,320,240,0,0,0,0,rgb24,1:1,I,0,0,0,0,unknown,unknown,unknown,unknown,unspecified
+frame,video,1,1,4096,0.080000,4096,0.080000,4096,0.080000,2048,0.040000,529826,230400,320,240,0,0,0,0,rgb24,1:1,I,0,0,0,0,unknown,unknown,unknown,unknown,unspecified,unspecified
 packet,video,2,4096,0.080000,4096,0.080000,2048,0.040000,30000,760250,K__
-frame,video,2,1,4096,0.080000,4096,0.080000,4096,0.080000,2048,0.040000,760250,30000,100,100,0,0,0,0,rgb24,1:1,I,0,0,0,0,unknown,unknown,unknown,unknown,unspecified
+frame,video,2,1,4096,0.080000,4096,0.080000,4096,0.080000,2048,0.040000,760250,30000,100,100,0,0,0,0,rgb24,1:1,I,0,0,0,0,unknown,unknown,unknown,unknown,unspecified,unspecified
 packet,audio,0,4096,0.092880,4096,0.092880,1024,0.023220,2048,790255,K__
 frame,audio,0,1,4096,0.092880,4096,0.092880,4096,0.092880,1024,0.023220,790255,2048,s16,1024,1,unknown
 packet,audio,0,5120,0.116100,5120,0.116100,393,0.008912,786,792326,K__
 frame,audio,0,1,5120,0.116100,5120,0.116100,5120,0.116100,393,0.008912,792326,786,s16,393,1,unknown
 packet,video,1,6144,0.120000,6144,0.120000,2048,0.040000,230400,793142,K__
-frame,video,1,1,6144,0.120000,6144,0.120000,6144,0.120000,2048,0.040000,793142,230400,320,240,0,0,0,0,rgb24,1:1,I,0,0,0,0,unknown,unknown,unknown,unknown,unspecified
+frame,video,1,1,6144,0.120000,6144,0.120000,6144,0.120000,2048,0.040000,793142,230400,320,240,0,0,0,0,rgb24,1:1,I,0,0,0,0,unknown,unknown,unknown,unknown,unspecified,unspecified
 packet,video,2,6144,0.120000,6144,0.120000,2048,0.040000,30000,1023566,K__
-frame,video,2,1,6144,0.120000,6144,0.120000,6144,0.120000,2048,0.040000,1023566,30000,100,100,0,0,0,0,rgb24,1:1,I,0,0,0,0,unknown,unknown,unknown,unknown,unspecified
+frame,video,2,1,6144,0.120000,6144,0.120000,6144,0.120000,2048,0.040000,1023566,30000,100,100,0,0,0,0,rgb24,1:1,I,0,0,0,0,unknown,unknown,unknown,unknown,unspecified,unspecified
 stream,0,pcm_s16le,unknown,audio,PSD[16],0x10445350,s16,44100,1,unknown,16,0,N/A,0/0,0/0,1/44100,0,0.000000,N/A,N/A,705600,N/A,N/A,N/A,6,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,Lavc pcm_s16le,mc²
 stream,1,rawvideo,unknown,video,RGB[24],0x18424752,320,240,320,240,0,1:1,4:3,rgb24,-99,unknown,unknown,unknown,unknown,unspecified,unknown,1,N/A,25/1,25/1,1/51200,0,0.000000,N/A,N/A,N/A,N/A,N/A,N/A,4,4,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,Lavc rawvideo,foobar,field-and-tags-conflict-attempt
 stream,2,rawvideo,unknown,video,RGB[24],0x18424752,100,100,100,100,0,1:1,1:1,rgb24,-99,unknown,unknown,unknown,unknown,unspecified,unknown,1,N/A,25/1,25/1,1/51200,0,0.000000,N/A,N/A,N/A,N/A,N/A,N/A,4,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,Lavc rawvideo
diff --git a/tests/ref/fate/ffprobe_default b/tests/ref/fate/ffprobe_default
index 2d38d4d211..4289f66bbe 100644
--- a/tests/ref/fate/ffprobe_default
+++ b/tests/ref/fate/ffprobe_default
@@ -75,6 +75,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 [/FRAME]
 [PACKET]
 codec_type=video
@@ -121,6 +122,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 [/FRAME]
 [PACKET]
 codec_type=audio
@@ -199,6 +201,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 [/FRAME]
 [PACKET]
 codec_type=video
@@ -245,6 +248,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 [/FRAME]
 [PACKET]
 codec_type=audio
@@ -355,6 +359,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 [/FRAME]
 [PACKET]
 codec_type=video
@@ -401,6 +406,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 [/FRAME]
 [PACKET]
 codec_type=audio
@@ -511,6 +517,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 [/FRAME]
 [PACKET]
 codec_type=video
@@ -557,6 +564,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 [/FRAME]
 [STREAM]
 index=0
diff --git a/tests/ref/fate/ffprobe_flat b/tests/ref/fate/ffprobe_flat
index b9aac8a007..114def58bc 100644
--- a/tests/ref/fate/ffprobe_flat
+++ b/tests/ref/fate/ffprobe_flat
@@ -68,6 +68,7 @@ packets_and_frames.frame.1.color_space="unknown"
 packets_and_frames.frame.1.color_primaries="unknown"
 packets_and_frames.frame.1.color_transfer="unknown"
 packets_and_frames.frame.1.chroma_location="unspecified"
+packets_and_frames.frame.1.alpha_mode="unspecified"
 packets_and_frames.packet.2.codec_type="video"
 packets_and_frames.packet.2.stream_index=2
 packets_and_frames.packet.2.pts=0
@@ -110,6 +111,7 @@ packets_and_frames.frame.2.color_space="unknown"
 packets_and_frames.frame.2.color_primaries="unknown"
 packets_and_frames.frame.2.color_transfer="unknown"
 packets_and_frames.frame.2.chroma_location="unspecified"
+packets_and_frames.frame.2.alpha_mode="unspecified"
 packets_and_frames.packet.3.codec_type="audio"
 packets_and_frames.packet.3.stream_index=0
 packets_and_frames.packet.3.pts=1024
@@ -180,6 +182,7 @@ packets_and_frames.frame.4.color_space="unknown"
 packets_and_frames.frame.4.color_primaries="unknown"
 packets_and_frames.frame.4.color_transfer="unknown"
 packets_and_frames.frame.4.chroma_location="unspecified"
+packets_and_frames.frame.4.alpha_mode="unspecified"
 packets_and_frames.packet.5.codec_type="video"
 packets_and_frames.packet.5.stream_index=2
 packets_and_frames.packet.5.pts=2048
@@ -222,6 +225,7 @@ packets_and_frames.frame.5.color_space="unknown"
 packets_and_frames.frame.5.color_primaries="unknown"
 packets_and_frames.frame.5.color_transfer="unknown"
 packets_and_frames.frame.5.chroma_location="unspecified"
+packets_and_frames.frame.5.alpha_mode="unspecified"
 packets_and_frames.packet.6.codec_type="audio"
 packets_and_frames.packet.6.stream_index=0
 packets_and_frames.packet.6.pts=2048
@@ -320,6 +324,7 @@ packets_and_frames.frame.8.color_space="unknown"
 packets_and_frames.frame.8.color_primaries="unknown"
 packets_and_frames.frame.8.color_transfer="unknown"
 packets_and_frames.frame.8.chroma_location="unspecified"
+packets_and_frames.frame.8.alpha_mode="unspecified"
 packets_and_frames.packet.9.codec_type="video"
 packets_and_frames.packet.9.stream_index=2
 packets_and_frames.packet.9.pts=4096
@@ -362,6 +367,7 @@ packets_and_frames.frame.9.color_space="unknown"
 packets_and_frames.frame.9.color_primaries="unknown"
 packets_and_frames.frame.9.color_transfer="unknown"
 packets_and_frames.frame.9.chroma_location="unspecified"
+packets_and_frames.frame.9.alpha_mode="unspecified"
 packets_and_frames.packet.10.codec_type="audio"
 packets_and_frames.packet.10.stream_index=0
 packets_and_frames.packet.10.pts=4096
@@ -460,6 +466,7 @@ packets_and_frames.frame.12.color_space="unknown"
 packets_and_frames.frame.12.color_primaries="unknown"
 packets_and_frames.frame.12.color_transfer="unknown"
 packets_and_frames.frame.12.chroma_location="unspecified"
+packets_and_frames.frame.12.alpha_mode="unspecified"
 packets_and_frames.packet.13.codec_type="video"
 packets_and_frames.packet.13.stream_index=2
 packets_and_frames.packet.13.pts=6144
@@ -502,6 +509,7 @@ packets_and_frames.frame.13.color_space="unknown"
 packets_and_frames.frame.13.color_primaries="unknown"
 packets_and_frames.frame.13.color_transfer="unknown"
 packets_and_frames.frame.13.chroma_location="unspecified"
+packets_and_frames.frame.13.alpha_mode="unspecified"
 streams.stream.0.index=0
 streams.stream.0.codec_name="pcm_s16le"
 streams.stream.0.profile="unknown"
diff --git a/tests/ref/fate/ffprobe_ini b/tests/ref/fate/ffprobe_ini
index d353c09339..c4b6a59b30 100644
--- a/tests/ref/fate/ffprobe_ini
+++ b/tests/ref/fate/ffprobe_ini
@@ -77,6 +77,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 
 [packets_and_frames.packet.2]
 codec_type=video
@@ -123,6 +124,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 
 [packets_and_frames.packet.3]
 codec_type=audio
@@ -201,6 +203,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 
 [packets_and_frames.packet.5]
 codec_type=video
@@ -247,6 +250,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 
 [packets_and_frames.packet.6]
 codec_type=audio
@@ -357,6 +361,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 
 [packets_and_frames.packet.9]
 codec_type=video
@@ -403,6 +408,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 
 [packets_and_frames.packet.10]
 codec_type=audio
@@ -513,6 +519,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 
 [packets_and_frames.packet.13]
 codec_type=video
@@ -559,6 +566,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 
 [streams.stream.0]
 index=0
diff --git a/tests/ref/fate/h264-dts_5frames b/tests/ref/fate/h264-dts_5frames
index 376e328e89..1e66e3854b 100644
--- a/tests/ref/fate/h264-dts_5frames
+++ b/tests/ref/fate/h264-dts_5frames
@@ -30,6 +30,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=left
+alpha_mode=unspecified
 [/FRAME]
 [FRAME]
 media_type=video
@@ -63,6 +64,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=left
+alpha_mode=unspecified
 [/FRAME]
 [FRAME]
 media_type=video
@@ -96,6 +98,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=left
+alpha_mode=unspecified
 [/FRAME]
 [FRAME]
 media_type=video
@@ -129,6 +132,7 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=left
+alpha_mode=unspecified
 [/FRAME]
 [FRAME]
 media_type=video
@@ -162,4 +166,5 @@ color_space=unknown
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=left
+alpha_mode=unspecified
 [/FRAME]
diff --git a/tests/ref/fate/jpg-icc b/tests/ref/fate/jpg-icc
index e12373e953..4fc058c7ce 100644
--- a/tests/ref/fate/jpg-icc
+++ b/tests/ref/fate/jpg-icc
@@ -38,6 +38,7 @@ color_space=bt470bg
 color_primaries=unknown
 color_transfer=unknown
 chroma_location=center
+alpha_mode=unspecified
 [SIDE_DATA]
 side_data_type=ICC profile
 size=3144
diff --git a/tests/ref/fate/png-icc b/tests/ref/fate/png-icc
index 45e2426459..7f928d44d6 100644
--- a/tests/ref/fate/png-icc
+++ b/tests/ref/fate/png-icc
@@ -38,6 +38,7 @@ color_space=gbr
 color_primaries=bt709
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 [SIDE_DATA]
 side_data_type=ICC profile
 name=Photoshop ICC profile
diff --git a/tests/ref/fate/png-icc-parse b/tests/ref/fate/png-icc-parse
index 83f9e07872..2796d7eb6b 100644
--- a/tests/ref/fate/png-icc-parse
+++ b/tests/ref/fate/png-icc-parse
@@ -30,6 +30,7 @@ color_space=gbr
 color_primaries=bt709
 color_transfer=iec61966-2-1
 chroma_location=unspecified
+alpha_mode=unspecified
 [SIDE_DATA]
 side_data_type=ICC profile
 name=Photoshop ICC profile
diff --git a/tests/ref/fate/png-side-data b/tests/ref/fate/png-side-data
index 7af8f257a2..56ad7b0d4d 100644
--- a/tests/ref/fate/png-side-data
+++ b/tests/ref/fate/png-side-data
@@ -30,6 +30,7 @@ color_space=gbr
 color_primaries=bt709
 color_transfer=unknown
 chroma_location=unspecified
+alpha_mode=unspecified
 [SIDE_DATA]
 side_data_type=ICC profile
 name=Photoshop ICC profile
-- 
2.49.1


